commit:     91ce158b44c7e2225837a300b24d707a62b341a0
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  3 02:37:58 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Oct  3 02:52:21 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=91ce158b

app-text/gspell: Version bump to 1.12.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 app-text/gspell/Manifest             |  1 +
 app-text/gspell/gspell-1.12.0.ebuild | 61 ++++++++++++++++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/app-text/gspell/Manifest b/app-text/gspell/Manifest
index 526b4fd2f13f..c1d6d5fe0aa7 100644
--- a/app-text/gspell/Manifest
+++ b/app-text/gspell/Manifest
@@ -1 +1,2 @@
 DIST gspell-1.11.1.tar.xz 432216 BLAKE2B 
aa6e6873fcb9cc7d3e7e05fe0abdd3b2e271c0483b7dc4d1c28179b87cea66b0fef86aa6ca94b7a571447ab70ac4ec55ac04b4b1f78415bea2db6c4f8fbc69ce
 SHA512 
df13ef76340b3f644b517f05941c4a11f90212511229a4644cda0d605af428222bf7dd15dbdf51da80e07b7689249728f5739020349226b78d1990707f9706d9
+DIST gspell-1.12.0.tar.xz 433068 BLAKE2B 
5726f40b07ee1d23a5a2e22ed012b52d6090a645b3141ecaf6a92cc850442be605ff2481a28ec87ee0d5b727b792fe2812a3e32ffd05978ed984d92b593910ec
 SHA512 
7a9fea40c6b8298c48ee48cb6f67d66b0a950fd4d7902ffce0d2f620270614ea01b7ada0adba6778090b16f4561625aea6f39de76b743b2cd06a61a24520c549

diff --git a/app-text/gspell/gspell-1.12.0.ebuild 
b/app-text/gspell/gspell-1.12.0.ebuild
new file mode 100644
index 000000000000..41d559da553d
--- /dev/null
+++ b/app-text/gspell/gspell-1.12.0.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit gnome2 vala virtualx
+
+DESCRIPTION="Spell check library for GTK+ applications"
+HOMEPAGE="https://gitlab.gnome.org/GNOME/gspell";
+
+LICENSE="LGPL-2.1+"
+SLOT="0/2" # subslot = libgspell-1 soname version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="+introspection +vala"
+REQUIRED_USE="vala? ( introspection )"
+
+RDEPEND="
+       >=app-text/enchant-2.1.3:2
+       >=dev-libs/glib-2.44:2
+       >=x11-libs/gtk+-3.20:3[introspection?]
+       dev-libs/icu:=
+       introspection? ( >=dev-libs/gobject-introspection-1.42.0:= )
+"
+DEPEND="${RDEPEND}
+       test? ( sys-apps/dbus )
+"
+BDEPEND="
+       dev-libs/libxml2:2
+       dev-util/glib-utils
+       >=dev-util/gtk-doc-am-1.25
+       >=sys-devel/gettext-0.19.6
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )
+       test? (
+               app-text/enchant:2[hunspell]
+               || (
+                       app-dicts/myspell-en[l10n_en(+)]
+                       app-dicts/myspell-en[l10n_en-US(+)]
+               )
+       )
+"
+# Tests require a en_US dictionary and fail with deprecated enchant aspell 
backend:
+# So enchant[hunspell] + myspell-en ensure they pass (hunspell is ordered 
before aspell),
+# however a different backend like hspell or nuspell + their en_US dict might 
be fine too,
+# but we don't support them at this time (2020-04-12) in enchant:2
+
+src_prepare() {
+       use vala && vala_setup
+       gnome2_src_prepare
+}
+
+src_configure() {
+       gnome2_src_configure \
+               $(use_enable introspection) \
+               $(use_enable vala)
+}
+
+src_test() {
+       virtx dbus-run-session emake check
+}

Reply via email to